## api-gateway 1.1.4

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,11 @@
 
 all: node_modules
 
+node_modules: export HOME = /tmp
 node_modules: package.json
 	npm install
 
+node_modules_production: export HOME = /tmp
 node_modules_production:
 	$(RM) -r node_modules
 	npm install --production --loglevel warn
