=== debian/changelog ===
api-gateway (1.1.4) unstable; urgency=medium

  * Disable TLS 1.1.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 27 May 2020 14:59:58 -0700

api-gateway (1.1.3) unstable; urgency=medium

  * Build for upstream version 1.1.3.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 29 Jan 2019 10:45:54 -0800

api-gateway (1.1.1-1) unstable; urgency=medium

  * disable TLS1.0

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 15 Nov 2017 14:17:40 -0800

api-gateway (1.1.0) unstable; urgency=low

  * changes to work with node v0.10.x
  * updated test dependencies
  * updates for new connect module
  * added fix for POODLE (https://chromabits.com/post/poodle-and-nodejs)

 -- Scotty Logan <swl@stanford.edu>  Sat, 06 Dec 2014 03:53:07 +0000

api-gateway (1.0.3-1) unstable; urgency=low

  * fixed find command to deal with filenames containing spaces
  * stopped installing devDependencies; quieted npm install (warnings only)

 -- Scotty Logan <swl@stanford.edu>  Mon, 26 Aug 2013 19:12:03 -0700

api-gateway (1.0.2-1) unstable; urgency=low

  * cleaned up api-host logger so that it doesn't generate errors when called by the redirector
  * redirector now only redirects for known hosts known hosts are specified in the apiHosts property of options
  * changed lib/apis.js to expose getAPI as well as addDetails
  * fixed expected return code for attempt to redirect bad API
  * some more cleanup and code re-arranging
  * reorder server starts
  * change the way apiList is setup
  * Updated to support new apiList setup Now rejects requests to unknown hosts and unknown APIs
  * Added API_HOSTS variable for list of valid hosts API_HOSTS is a comma-separated list of valid hostnames
    for the gateway Default definition of API_HOSTS uses the CN from the SSL cert and localhost
  * Added support for API_HOSTS and new apiList Added some configuration checks Added pidfile cleanup on
    exit / SIGINT / SIGTERM Added some more comments Replaced /usr/bin/node with /usr/bin/env node for portability

 -- Scotty Logan <swl@stanford.edu>  Mon, 26 Aug 2013 18:36:07 -0700

api-gateway (1.0.1-1) unstable; urgency=low

  * changed code to use more JS-y camelCase rather than _
  * fixed addDetails to preserve query string from request; it was preserving query string from API definition
  * tests: added support for tracking proxied url
  * tests: switched proxy to use syslog log format
  * tests: whitespace cleanup
  * tests: added tests for querystring preservation
  * fixed dist target by fixing distclean target

 -- Scotty Logan <swl@stanford.edu>  Wed, 14 Aug 2013 20:43:42 -0700

api-gateway (1.0.0-1) unstable; urgency=low

  * Renamed apiproxy to api-gateway
  * Made defaults explicit
  * Added syslog logger, and added quote escaping for some log fields
  * Split node-syslog across usr/share/ and usr/lib, since it has shared objects
  * Fixed api-gateway daemon installation
  * Updated tests to use api-gateway rather than apiproxy

 -- Scotty Logan <swl@stanford.edu>  Wed, 31 Jul 2013 09:22:11 +0000

api-gateway (0.0.1) unstable; urgency=low

  [ Sara Cook (IDG) ]
  * Initial release. Local package.

  [ Sara Cook ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sara Cook <saracook@stanford.edu>  Fri, 07 Jun 2013 10:47:27 -0700
