=== debian/control ===
Source: api-gateway
Section: web
Priority: extra
Build-Depends: debhelper (>= 8), nodejs,
 npm (>= 6),
 node-dot-prop (>= 5.2.0-1~bpo10+1),
 rsync
Maintainer: Scotty Logan <swl@stanford.edu>
Uploaders: Adam H. Lewenberg <adamhl@stanford.edu>
Standards-Version: 3.9.3

Package: api-gateway
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, nodejs, adduser
Description: Gateway for api calls
 Routes api calls to the appropriate service
